<?php
namespace Claromentis\Core\Module;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_a99e51514fd0fc" . "ca58579cb5552a6" . "035" => base64_decode("cGx" . "1Z2" . "luc" . "w=="), "_6c8e717df3fc2e5caa79afd002f" . "d2272" => base64_decode("dmVyc2lv" . "bnM="), "_8b0e61a144a6a2c611168b0c4e628b" . "0f" => base64_decode("RXJyb3IgcmVnaXN0ZXJpbmcgYX" . "BwbGljYXRpb24gcGx1Z2luICcl" . "cyc="), "_f10e5dfcd675" . "369f9b7a7e511" . "1a17431" => base64_decode("L2NvbmZp" . "Zw=="), "_3646e924512f86521d3853d8a0" . "d5ef20" => base64_decode("Y29yZS5jdXN0" . "b21fcGF0aA=="), "_677bc33cfc" . "057a689acf5" . "96b15f0ae8f" => base64_decode("Y29yZS5pbnRyYW5" . "ldF9wYXRo"), "_2b9b83b16cb8a" . "a329cf0691ef43" . "3f372" => base64_decode("c3lzdGV" . "t"), "_b497ce6f2af10" . "f67516aed0ecf3" . "4d8cf" => base64_decode("ZGlzcGF0Y2" . "hlcg=="), "_a668ea431a2" . "f50e2802dc22" . "6025d4d96" => base64_decode("U2tpcHBlZCByZWdpc3RlcmluZyBhcHBsaWNhdGlvbiAnJX" . "MnOyBpdCBkb2VzIG5vdCBpbXBsZW1lbnQgJyVzJw=="), "_c51bc96058fb" . "dbf4c2ef19b30" . "6d1a124" => base64_decode("Y2xhc3" . "NfZXhp" . "c3Rz"), "_aa0553266235d1e7c43a6e88694648" . "20" => base64_decode("REFUQV9E" . "SVI="), "_fa447d7fa2948f150ff8" . "0176241af90d" => base64_decode("cGx1Z2lucy5y" . "ZXBvc2l0b3J5"), "_6596b8f6a4969f9a3f6a" . "1b22b90e9331" => base64_decode("c3ByaW50Z" . "g=="), "_627b3c3896a7de4bff66ce8c388620" . "87" => base64_decode("Y29yZS5iYXNlX" . "3BhdGg="), "_fc9d7314a9d9958d8" . "fa0a403ba8ff197" => base64_decode("Z2V0X2NsY" . "XNz"), "_45a157a623e31316593" . "605eeb7fa37ec" => base64_decode("YXBwbGljYXRpb2" . "5z"), "_9c5ee1b2c77f9815910fd2b542a" . "61a4a" => base64_decode("JyBpcyByZWdpc3RlcmVkLCBidXQgZG9l" . "c24ndCBleGlzdA=="), "_3ff276eba0f87c788f2f78fc900f" . "e84d" => base64_decode("UGx1Z2luI" . "GNsYXNzIC" . "c="));
use Claromentis\Console\Util\ApplicationRegistry;
use Claromentis\Console\Util\Locator;
use Claromentis\Core\Application;
use Claromentis\Core\Event\EventSubscriberInterface;
use Claromentis\Core\Log\LoggerFactory;
use Claromentis\Core\Plugin\PluginsRepository;
use Silex\Api\BootableProviderInterface;
use Claromentis\Core\Event\LazyResolver;
use Claromentis\Core\Module;
use Claromentis\Core\Plugin;
use Claromentis\Core\Plugin\AuditSubscriber;
use Pimple\Container;
use Pimple\ServiceProviderInterface;
use Psr\Log\LoggerInterface;
use Silex\Api\EventListenerProviderInterface;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Throwable;




class ModuleServiceProvider implements ServiceProviderInterface, BootableProviderInterface, EventListenerProviderInterface
{
    public function register(Container $app)
    {
        
        
        $app[PluginsRepository::class] = function ($app) {
            return new PluginsRepository($app->config[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_aa0553266235d1e7c43a6e8869464" . "820"]] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_f10e5dfcd675369f9b7a" . "7e5111a17431"]);
        };
        $app[AuditSubscriber::class] = function (Application $app) {
            return $app->create(AuditSubscriber::class);
        };
        $app[Module\Api::class] = function (Application $app) {
            $api = new Module\Api($app[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_627b3c3896a7" . "de4bff66ce8c3" . "8862087"]], $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_677bc33cfc057a689acf596b15f0ae8" . "f"]], $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_3646e924512f86521d3853d8a0d" . "5ef20"]]);
            if (isset($app->db)) {
                $api->setDatabase($app->db);
            }
            $api->setLogger($app->GetLogger($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_2b9b83b16" . "cb8aa329cf" . "0691ef433f" . "372"]));
            return $api;
        };
        $app[Plugin\Api::class] = function (Application $app) {
            
            
            $api = $app->create(Plugin\Api::class);
            $api->setLogger($app->GetLogger($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2b9b83b1" . "6cb8aa329" . "cf0691ef4" . "33f372"]));
            return $api;
        };
        $app[Locator::class] = function (Application $app) {
            return new Locator($app[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_627b3c3896a7de4bff66ce8" . "c38862087"]]);
        };
        $app[ApplicationRegistry::class] = function (Application $app) {
            
            
            $registry = $app->create(ApplicationRegistry::class);
            if (isset($app->db)) {
                $registry->setDatabase($app->db);
            }
            return $registry;
        };
        
        
        $app[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_fa447d7fa2948f150ff8017624" . "1af90d"]] = PluginsRepository::class;
        $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a99e51514fd0fc" . "ca58579cb5552a6" . "035"]] = Plugin\Api::class;
        $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_6c8e717df3fc2e5c" . "aa79afd002fd2272"]] = Module\Api::class;
        
        
        $this->registerModules($app);
    }
    
    
    
    
    
    
    protected function registerModules(Container $app)
    {
        
        
        $_45a157a623e31316593605eeb7fa37ec = [
            
            
            new \Claromentis\Core\Audit\AuditApplication(),
            new \Claromentis\Core\Ai\AiServiceProvider(),
            new \Claromentis\WhatsNew\WhatsNewApplication(),
            
            
            new \Claromentis\Admin\Sysadmin\SysadminApplication(),
            new \Claromentis\Menu\MenuApplication(),
            new \Claromentis\Blog\BlogApplication(),
            new \Claromentis\Calendar\CalendarApplication(),
            new \Claromentis\Comments\CommentsServiceProvider(),
            new \Claromentis\Communication\CommunicationApplication(),
            new \Claromentis\Core\DataTable\Application(),
            new \Claromentis\Core\Like\LikesApplication(),
            new \Claromentis\Design\DesignApplication(),
            new \Claromentis\Documents\DocumentsApplication(),
            new \Claromentis\Forum\ForumApplication(),
            new \Claromentis\Help\HelpApplication(),
            new \Claromentis\Holidays\HolidaysApplication(),
            new \Claromentis\Login\LoginApplication(),
            new \Claromentis\Infocapture\InfocaptureApplication(),
            new \Claromentis\Main\HomePageApplication(),
            new \Claromentis\Mailgun\MailgunApplication(),
            new \Claromentis\News\NewsApplication(),
            new \Claromentis\OAuth2\OAuth2ServiceProvider(),
            new \Claromentis\Orgchart\OrgchartApplication(),
            new \Claromentis\People\PeopleApplication(),
            new \Claromentis\Rooms\RoomsApplication(),
            new \Claromentis\Gallery\GalleryApplication(),
            new \Claromentis\Search\SearchApplication(),
            new \Claromentis\Share\ShareApplication(),
            new \Claromentis\Onesignal\OnesignalApplication(),
            new \Claromentis\Admin\Sysadmin\IntegrationApplication(),
            new \Claromentis\Core\HealthCheck\HealthCheckApplication(),
            new \Claromentis\Core\Assets\AssetsApplication(),
            new \Claromentis\Admin\AdminPanelApplication(),
            new \Claromentis\Stat\StatApplication(),
        ];
        
        
        $_989ee88ce4d16454378692b7146e1d1c = $app[PluginsRepository::class];
        
        
        $_83e732e1e637ca0485df84759c2d3a20 = $_989ee88ce4d16454378692b7146e1d1c->GetClasses();
        foreach ($_83e732e1e637ca0485df84759c2d3a20 as $_66e1c6037dddc000087424629179d919) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c51bc96058fbdbf4c2ef19b306d1a1" . "24"]($_66e1c6037dddc000087424629179d919)) {
                $plugin = new $_66e1c6037dddc000087424629179d919();
                $_45a157a623e31316593605eeb7fa37ec[] = $plugin;
            } else {
                $logger = $this->getLogger($app);
                $logger->alert($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_3ff276eba0f" . "87c788f2f78f" . "c900fe84d"] . $_66e1c6037dddc000087424629179d919 . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_9c5ee1b2c7" . "7f9815910fd" . "2b542a61a4a"]);
            }
        }
        
        
        $app[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_45a157a623e3131" . "6593605eeb7fa37e" . "c"]] = $_45a157a623e31316593605eeb7fa37ec;
        foreach ($_45a157a623e31316593605eeb7fa37ec as $_f44467aacb8a4520c7382769d24aa422) {
            if ($_f44467aacb8a4520c7382769d24aa422 instanceof ServiceProviderInterface) {
                try {
                    $app->register($_f44467aacb8a4520c7382769d24aa422);
                } catch (Throwable $throwable) {
                    $logger = $this->getLogger($app);
                    $logger->critical($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6596b8f6a4969f9a3" . "f6a1b22b90e9331"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_8b0e61a144a6a2" . "c611168b0c4e628" . "b0f"], $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_fc9d7314a9d9958d8fa0a403ba8ff1" . "97"]($_f44467aacb8a4520c7382769d24aa422)));
                    $logger->critical($throwable);
                }
            } else {
                $logger = $this->getLogger($app);
                $logger->debug($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6596b8f6a4969f9a3f6a" . "1b22b90e9331"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a668ea431a2f50e2802d" . "c226025d4d96"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_fc9d7314a9d995" . "8d8fa0a403ba8ff" . "197"]($_f44467aacb8a4520c7382769d24aa422), ServiceProviderInterface::class));
            }
        }
    }
    public function boot(\Silex\Application $app)
    {
        foreach ($app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_45a157a623e313165" . "93605eeb7fa37ec"]] as $_f44467aacb8a4520c7382769d24aa422) {
            if ($_f44467aacb8a4520c7382769d24aa422 instanceof EventSubscriberInterface) {
                $app[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_b497ce6f2af10f67516aed0e" . "cf34d8cf"]]->addSubscriber($_f44467aacb8a4520c7382769d24aa422);
            }
        }
    }
    public function subscribe(Container $app, EventDispatcherInterface $_b497ce6f2af10f67516aed0ecf34d8cf)
    {
        
        
        (new LazyResolver($app, Plugin\AuditSubscriber::class, Plugin\AuditSubscriber::getSubscribedEvents()))->subscribe($_b497ce6f2af10f67516aed0ecf34d8cf);
    }
    
    
    
    
    
    
    
    protected function getLogger(Container $app) : LoggerInterface
    {
        
        
        $_7e1adb3b5de3c83f8c0c9b057bd5e6de = $app[LoggerFactory::class];
        return $_7e1adb3b5de3c83f8c0c9b057bd5e6de->GetLogger($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2b9b83b16cb8aa329cf0691ef433f3" . "72"]);
    }
}